#cross build --target x86_64-unknown-linux-gnu --release --features "tls,content-static"
#cross leptos build --target x86_64-unknown-linux-gnu --release --js-minify true --features "tls,content-static"
IMAGE="localhost/cross-rs/cross-custom-jpl-website:x86_64-unknown-linux-gnu-960e8"

#docker run -it
docker run --rm --platform linux/amd64 -v $(pwd):/project \
    -v $(pwd)/node_modules_linux:/project/node_modules \
    -v $(pwd)/target_linux:/project/target \
    -w /project $IMAGE \
    bash -c "scripts/leptos-build.sh && scripts/dist-pack.sh linux-amd64"
